package com.xinelu.manage.domain.servicewaycontent;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 服务方式内容对象 service_way_content
 *
 * @author xinelu
 * @date 2024-02-29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "服务方式内容对象", description = "service_way_content")
public class ServiceWayContent extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 服务方式名称
     */
    @ApiModelProperty(value = "服务方式名称")
    @Excel(name = "服务方式名称")
    private String serviceWayName;

    /**
     * 服务方式编码
     */
    @ApiModelProperty(value = "服务方式编码")
    @Excel(name = "服务方式编码")
    private String serviceWayCode;

    /**
     * 服务标识，服务方式：SERVICE_WRY，服务内容：SERVICE_CONTENT，服务频次：SERVICE_FREQUENCY
     */
    @ApiModelProperty(value = "服务标识，服务方式：SERVICE_WRY，服务内容：SERVICE_CONTENT，服务频次：SERVICE_FREQUENCY")
    @Excel(name = "服务标识，服务方式：SERVICE_WRY，服务内容：SERVICE_CONTENT，服务频次：SERVICE_FREQUENCY")
    private String serviceType;

    /**
     * 所属服务方式id
     */
    @ApiModelProperty(value = "所属服务方式id")
    @Excel(name = "所属服务方式id")
    private Long serviceWayId;

    /**
     * 服务内容
     */
    @ApiModelProperty(value = "服务内容")
    @Excel(name = "服务内容")
    private String serviceContent;

    /**
     * 所属服务内容id
     */
    @ApiModelProperty(value = "所属服务内容id")
    @Excel(name = "所属服务内容id")
    private Long serviceContentId;

    /**
     * 服务频次类型，数字：DIGIT，文本：TEXT
     */
    @ApiModelProperty(value = "服务频次类型，数字：DIGIT，文本：TEXT")
    @Excel(name = "服务频次类型，数字：DIGIT，文本：TEXT")
    private String serviceFrequencyType;

    /**
     * 服务频次文本
     */
    @ApiModelProperty(value = "服务频次文本")
    @Excel(name = "服务频次文本")
    private String serviceFrequencyText;

    /**
     * 服务频次数字起始值
     */
    @ApiModelProperty(value = "服务频次数字起始值")
    @Excel(name = "服务频次数字起始值")
    private Integer serviceFrequencyStart;

    /**
     * 服务频次数字结束值
     */
    @ApiModelProperty(value = "服务频次数字结束值")
    @Excel(name = "服务频次数字结束值")
    private Integer serviceFrequencyEnd;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    private Integer serviceSort;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @Excel(name = "备注")
    private String serviceRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("serviceWayName", getServiceWayName())
                .append("serviceWayCode", getServiceWayCode())
                .append("serviceType", getServiceType())
                .append("serviceWayId", getServiceWayId())
                .append("serviceContent", getServiceContent())
                .append("serviceContentId", getServiceContentId())
                .append("serviceFrequencyType", getServiceFrequencyType())
                .append("serviceFrequencyText", getServiceFrequencyText())
                .append("serviceFrequencyStart", getServiceFrequencyStart())
                .append("serviceFrequencyEnd", getServiceFrequencyEnd())
                .append("serviceSort", getServiceSort())
                .append("serviceRemark", getServiceRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
